/******************************************************************************/
//    File Name     : Spiral.java
//                            Java Applet source file
//    Name          : Yoshiyuki Tanaka
//                    (e-Mail : tanaka_y@jaist.ac.jp)
//    Class Name    :     1.Spiral()
//    Coments       :
/******************************************************************************/

/******************************************************************************/
//    Class Name    : Spiral
/******************************************************************************/
class Spiral extends Model3Initializer{

    /***** VALUE DATA *****/
    public static Model3Param param = new Model3Param();

    /***** CONSTRUCTOR *****/
    Spiral(Model3s _cells){ super(_cells) ;}


    /***** METHOD DATA *****/
    /**************************************************************************/
    //    Method Name   : initializ()
    /**************************************************************************/
    public Model3s initializ(){

        int Ru     = param.getRu();
        int d      = param.getd();
        int r      = (int)(Ru/d) + 1;
        int u      = param.getw1();
        int max    = param.getw2();
        int min    = 0;

        int h = (int)(cells.cell.length / 2);
        int q = (int)(cells.cell.length / 4);
        int l = (q > (int)(max/u))?(int)(max/u):q;


        for(int i = 0; i < h; i++)
            for(int j = 0; j <= l; j ++)
                cells.cell[i][h + j].setCell(excite, l);

        return cells;
    }


}


/**** END_of_file: Line5.java **************************************************/
